<ion-header>
  <ion-toolbar *ngIf="!openSearch">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>
      My Waranties
    </ion-title>
    <ion-button slot="end" fill="clear" (click)="toggleSearch()">
      <ion-icon slot="icon-only" name="search"></ion-icon>
    </ion-button>
  </ion-toolbar>
  <ion-toolbar *ngIf="openSearch">
    <ion-searchbar (ionClear)="toggleSearch()"></ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-card class="warantiStatus">
    <ion-card-title class="SectionTitle">Waranti Status</ion-card-title>
    <ion-grid>
      <ion-row>
        <ion-col>
          <ion-button color="success">
            <img src="../../assets/images/activeWarantiIcon.png">
          </ion-button>
          <p>Active</p>
        </ion-col>
        <ion-col>
          <ion-button color="warning">
            <img src="../../assets/images/expiringWarantiIcon.png">
          </ion-button>
          <p>Expiring</p>
        </ion-col>
        <ion-col>
          <ion-button color="danger">
            <img src="../../assets/images/expiredWarantiIcon.png">
          </ion-button>
          <p>Expired</p>
        </ion-col>
      </ion-row>
    </ion-grid>
  </ion-card>

  <div class="warantyCardContainer">

      <div  *ngFor="let warranty of warranties">
          <ion-card class="activeWaranti" routerLink="/waranti-detail">
            <ion-item lines="none">
              <ion-avatar slot="start">
                <img src="../../assets/images/smartphone.png">
              </ion-avatar>
              <ion-label text-wrap>
                <ion-text>
                  <h3>{{warranty.product.brand}}</h3>
                </ion-text>
                <p>Expiring {{warranty.product.invoiceDate | date: 'MMM dd, yyyy'}}</p>
              </ion-label>
            </ion-item>
          </ion-card>
      </div>    
  </div>
 <!-- fab placed to the bottom end -->
 <ion-fab vertical="bottom" horizontal="end" slot="fixed"  size="small">
    <ion-fab-button routerLink="/add-device">
        <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
